FreeMat

- Main Page
- Related Pages

vtkCachedStreamingDemandDrivenPipeline

Section: Visualization Toolkit Filtering Classes

# Usage

vtkCachedStreamingDemandDrivenPipeline

To create an instance of class vtkCachedStreamingDemandDrivenPipeline, simply invoke its constructor as follows

      obj = vtkCachedStreamingDemandDrivenPipeline

# Methods

The class vtkCachedStreamingDemandDrivenPipeline has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkCachedStreamingDemandDrivenPipeline class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkCachedStreamingDemandDrivenPipeline = obj.NewInstance ()`
- `vtkCachedStreamingDemandDrivenPipeline = obj.SafeDownCast (vtkObject o)`
- `int = obj.Update ()` - Bring the algorithm's outputs up-to-date.
- `int = obj.Update (int port)` - Bring the algorithm's outputs up-to-date.
- `obj.SetCacheSize (int size)` - This is the maximum number of images that can be retained in memory. it defaults to 10.
- `int = obj.GetCacheSize ()` - This is the maximum number of images that can be retained in memory. it defaults to 10.